#!bash
#Prose vs. poetry by the number of the segment by language

cd /proj/aesop/predict_next/Jpaper

PR='/proj/aesop/predict_next'

for p in poetry prose
do
for lang in English Russian Greek French Chinese
do
exec 3> $p'_N_no_pause_'$lang

for N in 1.0 2.0 3.0 4.0 5.0 6.0 7.0 8.0 #select the data for 1-8 segments
do
python $PR/bin/read_save.py -$p -cat ttype -l $lang -out effect_size2 -select "N==$N and lbl!='S'" -d 'N_'$N
echo $N 'temp_txt/N_'$N'/'$lang'_'$p'_ttype_effect_size2' >&3
done

python $PR/bin/histo_multi.py $p'_N_no_pause_'$lang -s $PR/text_analysis

#rm poetry_N_no_pause_$lang
done
done
